Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/893/?format=api
{ "ob_id": 893, "uuid": "441d937138ce5d8ff95900e462c2861e", "title": "Cape Verde Atmospheric Observatory: Additional Meteorological measurements (2006-2012)", "abstract": "Data from observations made at the Cape Verde Atmospheric Observatory (CVAO) which exists to advance understanding of climatically significant interactions between the atmosphere and ocean and to provide a regional focal point and long-term data. \r\n\r\nThe observatory is based on Calhau Island of São Vicente, Cape Verde at 16.848N, 24.871W, in the tropical Eastern North Atlantic Ocean, a region which is data poor but plays a key role in atmosphere-ocean interactions of climate-related and biogeochemical parameters including greenhouse gases. It is an open-ocean site that is representative of a region likely to be sensitive to future climate change, and is minimally influenced by local effects and intermittent continental pollution. \r\n\r\nThe dataset contains meteorological measurements (wind speed and wind direction) logged by the webDAQ and wind speed, wind direction, atmospheric pressure, air temperature, relative humidity, solar radiation, rainfall measured by instruments on the tower between 2006-2012.", "keywords": "Cape Verde, Meteorology", "publicationState": "published", "dataPublishedTime": "2010-10-04T12:32:24", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/894/?format=api", "dataPath": "/badc/capeverde/data/cv-met-additional", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 79554759, "numberOfFiles": 83, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3721/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/12/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api" ], "dataLineage": "Data collected at Cape Verde Atmospheric Observatory before being transmitted back to UK where NCAS staff prepare data for archiving at BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/619/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12166/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/875/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/872/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2909/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2908/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2911/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2912/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2913/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2914/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2910/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/896/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }